package com.hfkj.entity;

import com.alibaba.fastjson.JSONArray;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * bs_bank_activity_roster_rate
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsBankActivityRosterRate implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 银行权益活动id
     */
    private Long bankActivityId;

    /**
     * 活动报名id
     */
    private Long bankActivityRosterId;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 平台商户号
     */
    private String platformNo;

    /**
     * 银联商户号
     */
    private String cupNo;

    /**
     * 权益费率ID
     */
    private Long welfareRatesId;

    /**
     * 封顶优惠模式
     */
    private Integer preferentialModel;

    /**
     * 规则生效开始时间
     */
    private Date startTime;

    /**
     * 规则生效结束时间
     */
    private Date endTime;

    /**
     * 优惠费率区间
     */
    private String rates;

    /**
     * 优惠费率
     */
    private String preferentialRates;

    /**
     * 状态  1：已生效  2：未配置   3：处理中
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    private JSONArray rateArray;

    public JSONArray getRateArray() {
        return rateArray;
    }

    public void setRateArray(JSONArray rateArray) {
        this.rateArray = rateArray;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBankActivityId() {
        return bankActivityId;
    }

    public void setBankActivityId(Long bankActivityId) {
        this.bankActivityId = bankActivityId;
    }

    public Long getBankActivityRosterId() {
        return bankActivityRosterId;
    }

    public void setBankActivityRosterId(Long bankActivityRosterId) {
        this.bankActivityRosterId = bankActivityRosterId;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getPlatformNo() {
        return platformNo;
    }

    public void setPlatformNo(String platformNo) {
        this.platformNo = platformNo;
    }

    public String getCupNo() {
        return cupNo;
    }

    public void setCupNo(String cupNo) {
        this.cupNo = cupNo;
    }

    public Long getWelfareRatesId() {
        return welfareRatesId;
    }

    public void setWelfareRatesId(Long welfareRatesId) {
        this.welfareRatesId = welfareRatesId;
    }

    public Integer getPreferentialModel() {
        return preferentialModel;
    }

    public void setPreferentialModel(Integer preferentialModel) {
        this.preferentialModel = preferentialModel;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getRates() {
        return rates;
    }

    public void setRates(String rates) {
        this.rates = rates;
    }

    public String getPreferentialRates() {
        return preferentialRates;
    }

    public void setPreferentialRates(String preferentialRates) {
        this.preferentialRates = preferentialRates;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsBankActivityRosterRate other = (BsBankActivityRosterRate) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getBankActivityId() == null ? other.getBankActivityId() == null : this.getBankActivityId().equals(other.getBankActivityId()))
            && (this.getBankActivityRosterId() == null ? other.getBankActivityRosterId() == null : this.getBankActivityRosterId().equals(other.getBankActivityRosterId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getPlatformNo() == null ? other.getPlatformNo() == null : this.getPlatformNo().equals(other.getPlatformNo()))
            && (this.getCupNo() == null ? other.getCupNo() == null : this.getCupNo().equals(other.getCupNo()))
            && (this.getWelfareRatesId() == null ? other.getWelfareRatesId() == null : this.getWelfareRatesId().equals(other.getWelfareRatesId()))
            && (this.getPreferentialModel() == null ? other.getPreferentialModel() == null : this.getPreferentialModel().equals(other.getPreferentialModel()))
            && (this.getStartTime() == null ? other.getStartTime() == null : this.getStartTime().equals(other.getStartTime()))
            && (this.getEndTime() == null ? other.getEndTime() == null : this.getEndTime().equals(other.getEndTime()))
            && (this.getRates() == null ? other.getRates() == null : this.getRates().equals(other.getRates()))
            && (this.getPreferentialRates() == null ? other.getPreferentialRates() == null : this.getPreferentialRates().equals(other.getPreferentialRates()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getBankActivityId() == null) ? 0 : getBankActivityId().hashCode());
        result = prime * result + ((getBankActivityRosterId() == null) ? 0 : getBankActivityRosterId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getPlatformNo() == null) ? 0 : getPlatformNo().hashCode());
        result = prime * result + ((getCupNo() == null) ? 0 : getCupNo().hashCode());
        result = prime * result + ((getWelfareRatesId() == null) ? 0 : getWelfareRatesId().hashCode());
        result = prime * result + ((getPreferentialModel() == null) ? 0 : getPreferentialModel().hashCode());
        result = prime * result + ((getStartTime() == null) ? 0 : getStartTime().hashCode());
        result = prime * result + ((getEndTime() == null) ? 0 : getEndTime().hashCode());
        result = prime * result + ((getRates() == null) ? 0 : getRates().hashCode());
        result = prime * result + ((getPreferentialRates() == null) ? 0 : getPreferentialRates().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", bankActivityId=").append(bankActivityId);
        sb.append(", bankActivityRosterId=").append(bankActivityRosterId);
        sb.append(", merId=").append(merId);
        sb.append(", platformNo=").append(platformNo);
        sb.append(", cupNo=").append(cupNo);
        sb.append(", welfareRatesId=").append(welfareRatesId);
        sb.append(", preferentialModel=").append(preferentialModel);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", rates=").append(rates);
        sb.append(", preferentialRates=").append(preferentialRates);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
